## org.omg.PortableServer
Class POAHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.POAHelper

public class POAHelper
extends java.lang.Object

Helper class for : POA

Author:
  OpenORB Compiler

Constructor Summary
`POAHelper()`

Method Summary
`static POA` `extract(Any a)` Extract POA from an any
`static java.lang.String` `id()` Return the POA IDL ID
`static void` `insert(Any a, POA t)` Insert POA into an any
`static POA` `narrow(Object obj)` Narrow CORBA::Object to POA
`static POA` `read(InputStream istream)` Read POA from a marshalled stream
`static TypeCode` `type()` Return the POA TypeCode
`static POA` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to POA
`static void` `write(OutputStream ostream, POA value)` Write POA into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### POAHelper

    public POAHelper()

Method Detail

### insert

    public static void insert(Any a,
                              POA t)

  Insert POA into an any
  Parameters:
    `a` - an any
    `t` - POA value

### extract

    public static POA extract(Any a)

  Extract POA from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted POA value

### type

    public static TypeCode type()

  Return the POA TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the POA IDL ID
  Returns:
    an ID

### read

    public static POA read(InputStream istream)

  Read POA from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed POA value

### write

    public static void write(OutputStream ostream,
                             POA value)

  Write POA into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - POA value

### narrow

    public static POA narrow(Object obj)

  Narrow CORBA::Object to POA
  Parameters:
    `obj` - the CORBA Object
  Returns:
    POA Object

### unchecked_narrow

    public static POA unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to POA
  Parameters:
    `obj` - the CORBA Object
  Returns:
    POA Object